type Ngrv = {
    NGRV_ARCH: string;
    NGRV_BUILT_AT_ISO: string;
    NGRV_BUILT_AT: string;
    NGRV_COMMIT_HASH: string;
    NGRV_CPUMODEL: string;
    NGRV_ENDIANNESS: string;
    NGRV_HOMEDIR: string;
    NGRV_NCPUS: string;
    NGRV_SHELL: string;
    NGRV_TOTALMEM: string;
    NGRV_USERNAME: string;
};
type BaseOptions = {
    /**
     * @default NGRV
     */
    filename?: string;
    /**
     * @default false
     */
    silent?: boolean;
};
type EngraveOptions = BaseOptions & {
    /**
     * @default .
     */
    outputDirectory?: string | false;
};
type ReadEngraveOptions = BaseOptions & {
    /**
     * @default .
     */
    directory?: string;
};
declare const engraveDefaultOptions: {
    readonly outputDirectory: ".";
    readonly filename: ".ngrv";
    readonly silent: false;
};
declare const readEngraveDefaultOptions: {
    readonly directory: ".";
    readonly filename: ".ngrv";
    readonly silent: false;
};
declare const engrave: (options?: EngraveOptions) => Ngrv;
declare const readEngrave: (options?: ReadEngraveOptions) => Ngrv | undefined;

export { BaseOptions, EngraveOptions, Ngrv, ReadEngraveOptions, engrave, engraveDefaultOptions, readEngrave, readEngraveDefaultOptions };
